Mailinglist Archive: opensuse-bugs (6470 mails)

< Previous Next >
[Bug 1136616] Feature: libevent-devel and libev-devel should not conflict
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Tue, 02 Jul 2019 14:54:54 +0000
  • Message-id: <bug-1136616-21960-sAMkQnnhvi@http.bugzilla.suse.com/>
http://bugzilla.suse.com/show_bug.cgi?id=1136616
http://bugzilla.suse.com/show_bug.cgi?id=1136616#c4

--- Comment #4 from Adrian C. <adrian@xxxxxxxxxxxxx> ---
Hello. Yes, we have openSUSE leap 15.0 and leap 15.1 virtual servers for
building all the RPM packages of our software.

I wanted to explain our use case, a real world use case, but that could be
introducing some confusion. I will try to rephrase in universal terms
regardless of what we are developing:

1) Currently it is not possible for developers to build all of their software
on openSUSE if one of their applications depends on libev-devel, and another
application depends on libevent-devel.

2) Some applications using libevent-devel can not be ported to libev's libevent
compatibility layer, because libev compatibility layer does not implement all
of the libevent functionality.

3) Developers are forced to package their own libevent and libevent-devel
packages with custom paths, like /opt.

4) RedHat and Debian do not have this restriction. Interestingly Debian
resolves the conflict like this:

- libev-dev: headers, but excluding event.h.
- libev-libevent-dev: provider of event.h
- libevent-dev: headers, including event.h

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >